/*
 * Automatically generated, do not edit this file directly
 */

#include <config.h>

#include <stdlib.h>

#include "animation.h"
#include "application.h"
#include "asf.h"
#include "audio.h"
#include "audio-alsa.h"
#include "audio-pulse.h"
#include "bitmapcache.h"
#include "bitmapimage.h"
#include "bitmapsource.h"
#include "border.h"
#include "brush.h"
#include "canvas.h"
#include "cbinding.h"
#include "clock.h"
#include "collection.h"
#include "contentcontrol.h"
#include "control.h"
#include "deepzoomimagetilesource.h"
#include "dependencyobject.h"
#include "deployment.h"
#include "downloader.h"
#include "easing.h"
#include "effect.h"
#include "eventargs.h"
#include "file-downloader.h"
#include "frameworkelement.h"
#include "geometry.h"
#include "glyphs.h"
#include "grid.h"
#include "imagesource.h"
#include "internal-downloader.h"
#include "media.h"
#include "mediaelement.h"
#include "mediaplayer.h"
#include "mms-downloader.h"
#include "mp3.h"
#include "multiscaleimage.h"
#include "multiscalesubimage.h"
#include "namescope.h"
#include "panel.h"
#include "pipeline.h"
#include "pipeline-asf.h"
#include "pipeline-ffmpeg.h"
#include "pipeline-nocodec-ui.h"
#include "playlist.h"
#include "plugin-accessibility.h"
#include "plugin-class.h"
#include "popup.h"
#include "projection.h"
#include "resources.h"
#include "runtime.h"
#include "shape.h"
#include "size.h"
#include "style.h"
#include "stylus.h"
#include "template.h"
#include "textblock.h"
#include "textbox.h"
#include "tilesource.h"
#include "timeline.h"
#include "timemanager.h"
#include "timesource.h"
#include "transform.h"
#include "trigger.h"
#include "type.h"
#include "uielement.h"
#include "usercontrol.h"
#include "writeablebitmap.h"
#include "yuv-converter.h"

const int Accessibility::PerformActionEvent = 1;
const int BitmapImage::DownloadProgressEvent = 2;
const int BitmapImage::ImageFailedEvent = 3;
const int BitmapImage::ImageOpenedEvent = 4;
const int BitmapSource::PixelDataChangedEvent = 1;
const int Clock::CompletedEvent = 1;
const int Clock::CurrentStateInvalidatedEvent = 2;
const int Clock::CurrentTimeInvalidatedEvent = 3;
const int Collection::ChangedEvent = 1;
const int Collection::ItemChangedEvent = 2;
const int ContentControl::ContentChangedEvent = 20;
const int Control::IsEnabledChangedEvent = 19;
const int Deployment::AppDomainUnloadedEvent = 1;
const int Deployment::LayoutUpdatedEvent = 2;
const int Deployment::LoadedEvent = 3;
const int Deployment::ShuttingDownEvent = 4;
const int DispatcherTimer::TickEvent = 2;
const int Downloader::CompletedEvent = 1;
const int Downloader::DownloadFailedEvent = 2;
const int Downloader::DownloadProgressChangedEvent = 3;
const int EventObject::DestroyedEvent = 0;
const int FrameworkElement::SizeChangedEvent = 17;
const int FrameworkElement::TemplateAppliedEvent = 18;
const int Image::ImageFailedEvent = 20;
const int Image::ImageOpenedEvent = 21;
const int ImageBrush::DownloadProgressChangedEvent = 1;
const int ImageBrush::ImageFailedEvent = 2;
const int ImageBrush::ImageOpenedEvent = 3;
const int IMediaStream::FirstFrameEnqueuedEvent = 1;
const int Media::BufferingProgressChangedEvent = 1;
const int Media::CurrentStateChangedEvent = 2;
const int Media::DownloadProgressChangedEvent = 3;
const int Media::MediaErrorEvent = 4;
const int Media::OpenCompletedEvent = 5;
const int Media::OpeningEvent = 6;
const int Media::SeekCompletedEvent = 7;
const int Media::SeekingEvent = 8;
const int MediaBase::DownloadProgressChangedEvent = 19;
const int MediaElement::BufferingProgressChangedEvent = 19;
const int MediaElement::CurrentStateChangedEvent = 20;
const int MediaElement::DownloadProgressChangedEvent = 21;
const int MediaElement::LogReadyEvent = 22;
const int MediaElement::MarkerReachedEvent = 23;
const int MediaElement::MediaEndedEvent = 24;
const int MediaElement::MediaFailedEvent = 25;
const int MediaElement::MediaInvalidatedEvent = 26;
const int MediaElement::MediaOpenedEvent = 27;
const int MediaPlayer::BufferUnderflowEvent = 1;
const int MediaPlayer::MediaEndedEvent = 2;
const int MultiScaleImage::ImageFailedEvent = 20;
const int MultiScaleImage::ImageOpenFailedEvent = 21;
const int MultiScaleImage::ImageOpenSucceededEvent = 22;
const int MultiScaleImage::MotionFinishedEvent = 23;
const int MultiScaleImage::ViewportChangedEvent = 24;
const int PasswordBox::PasswordChangedEvent = 22;
const int PlaylistRoot::BufferingProgressChangedEvent = 1;
const int PlaylistRoot::BufferUnderflowEvent = 2;
const int PlaylistRoot::CurrentStateChangedEvent = 3;
const int PlaylistRoot::DownloadProgressChangedEvent = 4;
const int PlaylistRoot::EntryChangedEvent = 5;
const int PlaylistRoot::MediaEndedEvent = 6;
const int PlaylistRoot::MediaErrorEvent = 7;
const int PlaylistRoot::OpenCompletedEvent = 8;
const int PlaylistRoot::OpeningEvent = 9;
const int PlaylistRoot::PauseEvent = 10;
const int PlaylistRoot::PlayEvent = 11;
const int PlaylistRoot::SeekCompletedEvent = 12;
const int PlaylistRoot::SeekingEvent = 13;
const int PlaylistRoot::StopEvent = 14;
const int Popup::ClosedEvent = 19;
const int Popup::OpenedEvent = 20;
const int Surface::ErrorEvent = 1;
const int Surface::FullScreenChangeEvent = 2;
const int Surface::LoadEvent = 3;
const int Surface::ResizeEvent = 4;
const int Surface::SourceDownloadCompleteEvent = 5;
const int Surface::SourceDownloadProgressChangedEvent = 6;
const int Surface::ZoomedEvent = 7;
const int TextBox::SelectionChangedEvent = 22;
const int TextBox::TextChangedEvent = 23;
const int TextBoxBase::CursorPositionChangedEvent = 20;
const int TextBoxBase::ModelChangedEvent = 21;
const int Timeline::CompletedEvent = 1;
const int TimeManager::RenderEvent = 1;
const int TimeManager::UpdateInputEvent = 2;
const int TimeSource::TickEvent = 1;
const int UIElement::GotFocusEvent = 1;
const int UIElement::InvalidatedEvent = 2;
const int UIElement::KeyDownEvent = 3;
const int UIElement::KeyUpEvent = 4;
const int UIElement::LoadedEvent = 5;
const int UIElement::LostFocusEvent = 6;
const int UIElement::LostMouseCaptureEvent = 7;
const int UIElement::MouseEnterEvent = 8;
const int UIElement::MouseLeaveEvent = 9;
const int UIElement::MouseLeftButtonDownEvent = 10;
const int UIElement::MouseLeftButtonMultiClickEvent = 11;
const int UIElement::MouseLeftButtonUpEvent = 12;
const int UIElement::MouseMoveEvent = 13;
const int UIElement::MouseRightButtonDownEvent = 14;
const int UIElement::MouseRightButtonUpEvent = 15;
const int UIElement::MouseWheelEvent = 16;

const char *ACCESSIBILITY_Events [] = { "PerformAction", NULL };
const char *BITMAPIMAGE_Events [] = { "DownloadProgress", "ImageFailed", "ImageOpened", NULL };
const char *BITMAPSOURCE_Events [] = { "PixelDataChanged", NULL };
const Type::Kind BOOL_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_BOOL, Type::ICONVERTIBLE, Type::IEQUATABLE_BOOL };
const Type::Kind CHAR_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_CHAR, Type::ICONVERTIBLE, Type::IEQUATABLE_CHAR };
const char *CLOCK_Events [] = { "Completed", "CurrentStateInvalidated", "CurrentTimeInvalidated", NULL };
const char *COLLECTION_Events [] = { "Changed", "ItemChanged", NULL };
const char *CONTENTCONTROL_Events [] = { "ContentChanged", NULL };
const char *CONTROL_Events [] = { "IsEnabledChanged", NULL };
const char *DEPLOYMENT_Events [] = { "AppDomainUnloaded", "LayoutUpdated", "Loaded", "ShuttingDown", NULL };
const char *DISPATCHERTIMER_Events [] = { "Tick", NULL };
const Type::Kind DOUBLE_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_DOUBLE, Type::ICONVERTIBLE, Type::IEQUATABLE_DOUBLE, Type::IFORMATTABLE };
const char *DOWNLOADER_Events [] = { "Completed", "DownloadFailed", "DownloadProgressChanged", NULL };
const char *EVENTOBJECT_Events [] = { "Destroyed", NULL };
const Type::Kind FLOAT_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_FLOAT, Type::ICONVERTIBLE, Type::IEQUATABLE_FLOAT, Type::IFORMATTABLE };
const char *FRAMEWORKELEMENT_Events [] = { "SizeChanged", "TemplateApplied", NULL };
const char *IMAGE_Events [] = { "ImageFailed", "ImageOpened", NULL };
const char *IMAGEBRUSH_Events [] = { "DownloadProgressChanged", "ImageFailed", "ImageOpened", NULL };
const char *IMEDIASTREAM_Events [] = { "FirstFrameEnqueued", NULL };
const Type::Kind INT32_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_INT, Type::ICONVERTIBLE, Type::IEQUATABLE_INT, Type::IFORMATTABLE };
const Type::Kind INT64_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_LONG, Type::ICONVERTIBLE, Type::IEQUATABLE_LONG, Type::IFORMATTABLE };
const char *MEDIA_Events [] = { "BufferingProgressChanged", "CurrentStateChanged", "DownloadProgressChanged", "MediaError", "OpenCompleted", "Opening", "SeekCompleted", "Seeking", NULL };
const char *MEDIABASE_Events [] = { "DownloadProgressChanged", NULL };
const char *MEDIAELEMENT_Events [] = { "BufferingProgressChanged", "CurrentStateChanged", "DownloadProgressChanged", "LogReady", "MarkerReached", "MediaEnded", "MediaFailed", "MediaInvalidated", "MediaOpened", NULL };
const char *MEDIAPLAYER_Events [] = { "BufferUnderflow", "MediaEnded", NULL };
const char *MULTISCALEIMAGE_Events [] = { "ImageFailed", "ImageOpenFailed", "ImageOpenSucceeded", "MotionFinished", "ViewportChanged", NULL };
const char *PASSWORDBOX_Events [] = { "PasswordChanged", NULL };
const char *PLAYLISTROOT_Events [] = { "BufferingProgressChanged", "BufferUnderflow", "CurrentStateChanged", "DownloadProgressChanged", "EntryChanged", "MediaEnded", "MediaError", "OpenCompleted", "Opening", "Pause", "Play", "SeekCompleted", "Seeking", "Stop", NULL };
const char *POPUP_Events [] = { "Closed", "Opened", NULL };
const Type::Kind STRING_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_STRING, Type::ICONVERTIBLE, Type::IEQUATABLE_STRING, Type::IFORMATTABLE };
const char *SURFACE_Events [] = { "Error", "FullScreenChange", "Load", "Resize", "SourceDownloadComplete", "SourceDownloadProgressChanged", "Zoomed", NULL };
const char *TEXTBOX_Events [] = { "SelectionChanged", "TextChanged", NULL };
const char *TEXTBOXBASE_Events [] = { "CursorPositionChanged", "ModelChanged", NULL };
const char *TIMELINE_Events [] = { "Completed", NULL };
const char *TIMEMANAGER_Events [] = { "Render", "UpdateInput", NULL };
const char *TIMESOURCE_Events [] = { "Tick", NULL };
const Type::Kind TIMESPAN_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_TIMESPAN, Type::IEQUATABLE_TIMESPAN };
const char *UIELEMENT_Events [] = { "GotFocus", "Invalidated", "KeyDown", "KeyUp", "Loaded", "LostFocus", "LostMouseCapture", "MouseEnter", "MouseLeave", "MouseLeftButtonDown", "MouseLeftButtonMultiClick", "MouseLeftButtonUp", "MouseMove", "MouseRightButtonDown", "MouseRightButtonUp", "MouseWheel", NULL };
const Type::Kind UINT32_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_UINT, Type::ICONVERTIBLE, Type::IEQUATABLE_UINT, Type::IFORMATTABLE };
const Type::Kind UINT64_Interfaces[] = { Type::ICOMPARABLE, Type::ICOMPARABLE_ULONG, Type::ICONVERTIBLE, Type::IEQUATABLE_ULONG, Type::IFORMATTABLE };

void
Types::RegisterNativeTypes ()
{
	Deployment *deployment = Deployment::GetCurrent ();
	types [(int) Type::INVALID] = new Type (deployment, Type::INVALID, Type::INVALID, false, false, NULL, 0, 0, NULL, 0, NULL, false, NULL, NULL );
	types [(int) Type::ACCESSIBILITY] = new Type (deployment, Type::ACCESSIBILITY, Type::DEPENDENCY_OBJECT, false, false, "Accessibility", 1, 2, ACCESSIBILITY_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::ALSASOURCE] = new Type (deployment, Type::ALSASOURCE, Type::AUDIOSOURCE, false, false, "AlsaSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ANIMATION] = new Type (deployment, Type::ANIMATION, Type::TIMELINE, false, false, "Animation", 0, 2, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::ANIMATIONCLOCK] = new Type (deployment, Type::ANIMATIONCLOCK, Type::CLOCK, false, false, "AnimationClock", 0, 4, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::APPLICATION] = new Type (deployment, Type::APPLICATION, Type::DEPENDENCY_OBJECT, false, false, "Application", 0, 1, NULL, 0, NULL, true, (create_inst_func *) application_new, NULL);
	types [(int) Type::ARCSEGMENT] = new Type (deployment, Type::ARCSEGMENT, Type::PATHSEGMENT, false, false, "ArcSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) arc_segment_new, NULL);
	types [(int) Type::ASFDEMUXER] = new Type (deployment, Type::ASFDEMUXER, Type::IMEDIADEMUXER, false, false, "ASFDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ASFMARKERDECODER] = new Type (deployment, Type::ASFMARKERDECODER, Type::IMEDIADECODER, false, false, "ASFMarkerDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ASFPACKET] = new Type (deployment, Type::ASFPACKET, Type::EVENTOBJECT, false, false, "ASFPacket", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ASFPARSER] = new Type (deployment, Type::ASFPARSER, Type::EVENTOBJECT, false, false, "ASFParser", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ASSEMBLYPART] = new Type (deployment, Type::ASSEMBLYPART, Type::DEPENDENCY_OBJECT, false, false, "AssemblyPart", 0, 1, NULL, 0, NULL, true, (create_inst_func *) assembly_part_new, NULL);
	types [(int) Type::ASSEMBLYPART_COLLECTION] = new Type (deployment, Type::ASSEMBLYPART_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "AssemblyPartCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) assembly_part_collection_new, NULL);
	types [(int) Type::ASXDEMUXER] = new Type (deployment, Type::ASXDEMUXER, Type::IMEDIADEMUXER, false, false, "ASXDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::AUDIOSOURCE] = new Type (deployment, Type::AUDIOSOURCE, Type::EVENTOBJECT, false, false, "AudioSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::AUDIOSTREAM] = new Type (deployment, Type::AUDIOSTREAM, Type::IMEDIASTREAM, false, false, "AudioStream", 0, 2, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::BACKEASE] = new Type (deployment, Type::BACKEASE, Type::EASINGFUNCTIONBASE, false, false, "BackEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) back_ease_new, NULL);
	types [(int) Type::BEGINSTORYBOARD] = new Type (deployment, Type::BEGINSTORYBOARD, Type::TRIGGERACTION, false, false, "BeginStoryboard", 0, 1, NULL, 0, NULL, true, (create_inst_func *) begin_storyboard_new, "Storyboard");
	types [(int) Type::BEZIERSEGMENT] = new Type (deployment, Type::BEZIERSEGMENT, Type::PATHSEGMENT, false, false, "BezierSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) bezier_segment_new, NULL);
	types [(int) Type::BITMAPCACHE] = new Type (deployment, Type::BITMAPCACHE, Type::CACHEMODE, false, false, "BitmapCache", 0, 1, NULL, 0, NULL, true, (create_inst_func *) bitmap_cache_new, NULL);
	types [(int) Type::BITMAPIMAGE] = new Type (deployment, Type::BITMAPIMAGE, Type::BITMAPSOURCE, false, false, "BitmapImage", 3, 5, BITMAPIMAGE_Events, 0, NULL, true, (create_inst_func *) bitmap_image_new, NULL);
	types [(int) Type::BITMAPSOURCE] = new Type (deployment, Type::BITMAPSOURCE, Type::IMAGESOURCE, false, false, "BitmapSource", 1, 2, BITMAPSOURCE_Events, 0, NULL, true, (create_inst_func *) bitmap_source_new, NULL);
	types [(int) Type::BLUREFFECT] = new Type (deployment, Type::BLUREFFECT, Type::EFFECT, false, false, "BlurEffect", 0, 1, NULL, 0, NULL, true, (create_inst_func *) blur_effect_new, NULL);
	types [(int) Type::BOOL] = new Type (deployment, Type::BOOL, Type::OBJECT, true, false, "bool", 0, 0, NULL, 4, BOOL_Interfaces, true, NULL, NULL);
	types [(int) Type::BORDER] = new Type (deployment, Type::BORDER, Type::FRAMEWORKELEMENT, false, false, "Border", 0, 19, NULL, 0, NULL, true, (create_inst_func *) border_new, "Child");
	types [(int) Type::BOUNCEEASE] = new Type (deployment, Type::BOUNCEEASE, Type::EASINGFUNCTIONBASE, false, false, "BounceEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) bounce_ease_new, NULL);
	types [(int) Type::BRUSH] = new Type (deployment, Type::BRUSH, Type::DEPENDENCY_OBJECT, false, false, "Brush", 0, 1, NULL, 0, NULL, false, (create_inst_func *) brush_new, NULL);
	types [(int) Type::CACHEMODE] = new Type (deployment, Type::CACHEMODE, Type::DEPENDENCY_OBJECT, false, false, "CacheMode", 0, 1, NULL, 0, NULL, false, (create_inst_func *) cache_mode_new, NULL);
	types [(int) Type::CANVAS] = new Type (deployment, Type::CANVAS, Type::PANEL, false, false, "Canvas", 0, 19, NULL, 0, NULL, true, (create_inst_func *) canvas_new, NULL);
	types [(int) Type::CHAR] = new Type (deployment, Type::CHAR, Type::OBJECT, true, false, "char", 0, 0, NULL, 4, CHAR_Interfaces, true, NULL, NULL);
	types [(int) Type::CIRCLEEASE] = new Type (deployment, Type::CIRCLEEASE, Type::EASINGFUNCTIONBASE, false, false, "CircleEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) circle_ease_new, NULL);
	types [(int) Type::CLOCK] = new Type (deployment, Type::CLOCK, Type::DEPENDENCY_OBJECT, false, false, "Clock", 3, 4, CLOCK_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::CLOCKGROUP] = new Type (deployment, Type::CLOCKGROUP, Type::CLOCK, false, false, "ClockGroup", 0, 4, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::CODECDOWNLOADER] = new Type (deployment, Type::CODECDOWNLOADER, Type::EVENTOBJECT, false, false, "CodecDownloader", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::COLLECTION] = new Type (deployment, Type::COLLECTION, Type::DEPENDENCY_OBJECT, false, false, "Collection", 2, 3, COLLECTION_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::COLLECTIONCHANGEDEVENTARGS] = new Type (deployment, Type::COLLECTIONCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "CollectionChangedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) collection_changed_event_args_new, NULL);
	types [(int) Type::COLLECTIONITEMCHANGEDEVENTARGS] = new Type (deployment, Type::COLLECTIONITEMCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "CollectionItemChangedEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::COLOR] = new Type (deployment, Type::COLOR, Type::OBJECT, true, false, "Color", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::COLORANIMATION] = new Type (deployment, Type::COLORANIMATION, Type::ANIMATION, false, false, "ColorAnimation", 0, 2, NULL, 0, NULL, true, (create_inst_func *) color_animation_new, NULL);
	types [(int) Type::COLORANIMATIONUSINGKEYFRAMES] = new Type (deployment, Type::COLORANIMATIONUSINGKEYFRAMES, Type::COLORANIMATION, false, false, "ColorAnimationUsingKeyFrames", 0, 2, NULL, 0, NULL, true, (create_inst_func *) color_animation_using_key_frames_new, "KeyFrames");
	types [(int) Type::COLORKEYFRAME] = new Type (deployment, Type::COLORKEYFRAME, Type::KEYFRAME, false, false, "ColorKeyFrame", 0, 1, NULL, 0, NULL, false, (create_inst_func *) color_key_frame_new, NULL);
	types [(int) Type::COLORKEYFRAME_COLLECTION] = new Type (deployment, Type::COLORKEYFRAME_COLLECTION, Type::KEYFRAME_COLLECTION, false, false, "ColorKeyFrameCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) color_key_frame_collection_new, NULL);
	types [(int) Type::COLUMNDEFINITION] = new Type (deployment, Type::COLUMNDEFINITION, Type::DEPENDENCY_OBJECT, false, false, "ColumnDefinition", 0, 1, NULL, 0, NULL, true, (create_inst_func *) column_definition_new, NULL);
	types [(int) Type::COLUMNDEFINITION_COLLECTION] = new Type (deployment, Type::COLUMNDEFINITION_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "ColumnDefinitionCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) column_definition_collection_new, NULL);
	types [(int) Type::CONTENTCHANGEDEVENTARGS] = new Type (deployment, Type::CONTENTCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "ContentChangedEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::CONTENTCONTROL] = new Type (deployment, Type::CONTENTCONTROL, Type::CONTROL, false, false, "ContentControl", 1, 21, CONTENTCONTROL_Events, 0, NULL, true, (create_inst_func *) content_control_new, "Content");
	types [(int) Type::CONTROL] = new Type (deployment, Type::CONTROL, Type::FRAMEWORKELEMENT, false, false, "Control", 1, 20, CONTROL_Events, 0, NULL, false, (create_inst_func *) control_new, NULL);
	types [(int) Type::CONTROLTEMPLATE] = new Type (deployment, Type::CONTROLTEMPLATE, Type::FRAMEWORKTEMPLATE, false, false, "ControlTemplate", 0, 1, NULL, 0, NULL, true, (create_inst_func *) control_template_new, NULL);
	types [(int) Type::CORNERRADIUS] = new Type (deployment, Type::CORNERRADIUS, Type::OBJECT, true, false, "CornerRadius", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::CUBICEASE] = new Type (deployment, Type::CUBICEASE, Type::EASINGFUNCTIONBASE, false, false, "CubicEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) cubic_ease_new, NULL);
	types [(int) Type::CURSOR] = new Type (deployment, Type::CURSOR, Type::OBJECT, false, false, "System.Windows.Input.Cursor", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::CURSORPOSITIONCHANGEDEVENTARGS] = new Type (deployment, Type::CURSORPOSITIONCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "CursorPositionChangedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) cursor_position_changed_event_args_new, NULL);
	types [(int) Type::DATATEMPLATE] = new Type (deployment, Type::DATATEMPLATE, Type::FRAMEWORKTEMPLATE, false, false, "DataTemplate", 0, 1, NULL, 0, NULL, true, (create_inst_func *) data_template_new, NULL);
	types [(int) Type::DEEPZOOMIMAGETILESOURCE] = new Type (deployment, Type::DEEPZOOMIMAGETILESOURCE, Type::MULTISCALETILESOURCE, false, false, "DeepZoomImageTileSource", 0, 1, NULL, 0, NULL, true, (create_inst_func *) deep_zoom_image_tile_source_new, NULL);
	types [(int) Type::DEPENDENCY_OBJECT] = new Type (deployment, Type::DEPENDENCY_OBJECT, Type::EVENTOBJECT, false, false, "DependencyObject", 0, 1, NULL, 0, NULL, true, (create_inst_func *) dependency_object_new, NULL);
	types [(int) Type::DEPENDENCY_OBJECT_COLLECTION] = new Type (deployment, Type::DEPENDENCY_OBJECT_COLLECTION, Type::COLLECTION, false, false, "DependencyObjectCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) dependency_object_collection_new, NULL);
	types [(int) Type::DEPENDENCYPROPERTY] = new Type (deployment, Type::DEPENDENCYPROPERTY, Type::OBJECT, false, false, "DependencyProperty", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::DEPLOYMENT] = new Type (deployment, Type::DEPLOYMENT, Type::DEPENDENCY_OBJECT, false, false, "Deployment", 4, 5, DEPLOYMENT_Events, 0, NULL, true, (create_inst_func *) deployment_new, NULL);
	types [(int) Type::DISCRETECOLORKEYFRAME] = new Type (deployment, Type::DISCRETECOLORKEYFRAME, Type::COLORKEYFRAME, false, false, "DiscreteColorKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) discrete_color_key_frame_new, NULL);
	types [(int) Type::DISCRETEDOUBLEKEYFRAME] = new Type (deployment, Type::DISCRETEDOUBLEKEYFRAME, Type::DOUBLEKEYFRAME, false, false, "DiscreteDoubleKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) discrete_double_key_frame_new, NULL);
	types [(int) Type::DISCRETEOBJECTKEYFRAME] = new Type (deployment, Type::DISCRETEOBJECTKEYFRAME, Type::OBJECTKEYFRAME, false, false, "DiscreteObjectKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) discrete_object_key_frame_new, NULL);
	types [(int) Type::DISCRETEPOINTKEYFRAME] = new Type (deployment, Type::DISCRETEPOINTKEYFRAME, Type::POINTKEYFRAME, false, false, "DiscretePointKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) discrete_point_key_frame_new, NULL);
	types [(int) Type::DISPATCHERTIMER] = new Type (deployment, Type::DISPATCHERTIMER, Type::TIMELINE, false, false, "DispatcherTimer", 1, 3, DISPATCHERTIMER_Events, 0, NULL, true, (create_inst_func *) dispatcher_timer_new, NULL);
	types [(int) Type::DOUBLE] = new Type (deployment, Type::DOUBLE, Type::OBJECT, true, false, "double", 0, 0, NULL, 5, DOUBLE_Interfaces, true, NULL, NULL);
	types [(int) Type::DOUBLE_COLLECTION] = new Type (deployment, Type::DOUBLE_COLLECTION, Type::COLLECTION, false, false, "DoubleCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) double_collection_new, NULL);
	types [(int) Type::DOUBLEANIMATION] = new Type (deployment, Type::DOUBLEANIMATION, Type::ANIMATION, false, false, "DoubleAnimation", 0, 2, NULL, 0, NULL, true, (create_inst_func *) double_animation_new, NULL);
	types [(int) Type::DOUBLEANIMATIONUSINGKEYFRAMES] = new Type (deployment, Type::DOUBLEANIMATIONUSINGKEYFRAMES, Type::DOUBLEANIMATION, false, false, "DoubleAnimationUsingKeyFrames", 0, 2, NULL, 0, NULL, true, (create_inst_func *) double_animation_using_key_frames_new, "KeyFrames");
	types [(int) Type::DOUBLEKEYFRAME] = new Type (deployment, Type::DOUBLEKEYFRAME, Type::KEYFRAME, false, false, "DoubleKeyFrame", 0, 1, NULL, 0, NULL, false, (create_inst_func *) double_key_frame_new, NULL);
	types [(int) Type::DOUBLEKEYFRAME_COLLECTION] = new Type (deployment, Type::DOUBLEKEYFRAME_COLLECTION, Type::KEYFRAME_COLLECTION, false, false, "DoubleKeyFrameCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) double_key_frame_collection_new, NULL);
	types [(int) Type::DOWNLOADER] = new Type (deployment, Type::DOWNLOADER, Type::DEPENDENCY_OBJECT, false, false, "Downloader", 3, 4, DOWNLOADER_Events, 0, NULL, true, (create_inst_func *) downloader_new, NULL);
	types [(int) Type::DOWNLOADPROGRESSEVENTARGS] = new Type (deployment, Type::DOWNLOADPROGRESSEVENTARGS, Type::EVENTARGS, false, false, "DownloadProgressEventArgs", 0, 1, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::DRAWINGATTRIBUTES] = new Type (deployment, Type::DRAWINGATTRIBUTES, Type::DEPENDENCY_OBJECT, false, false, "DrawingAttributes", 0, 1, NULL, 0, NULL, true, (create_inst_func *) drawing_attributes_new, NULL);
	types [(int) Type::DROPSHADOWEFFECT] = new Type (deployment, Type::DROPSHADOWEFFECT, Type::EFFECT, false, false, "DropShadowEffect", 0, 1, NULL, 0, NULL, true, (create_inst_func *) drop_shadow_effect_new, NULL);
	types [(int) Type::DURATION] = new Type (deployment, Type::DURATION, Type::OBJECT, true, false, "Duration", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::EASINGCOLORKEYFRAME] = new Type (deployment, Type::EASINGCOLORKEYFRAME, Type::COLORKEYFRAME, false, false, "EasingColorKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) easing_color_key_frame_new, NULL);
	types [(int) Type::EASINGDOUBLEKEYFRAME] = new Type (deployment, Type::EASINGDOUBLEKEYFRAME, Type::DOUBLEKEYFRAME, false, false, "EasingDoubleKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) easing_double_key_frame_new, NULL);
	types [(int) Type::EASINGFUNCTIONBASE] = new Type (deployment, Type::EASINGFUNCTIONBASE, Type::DEPENDENCY_OBJECT, false, false, "EasingFunctionBase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) easing_function_base_new, NULL);
	types [(int) Type::EASINGPOINTKEYFRAME] = new Type (deployment, Type::EASINGPOINTKEYFRAME, Type::POINTKEYFRAME, false, false, "EasingPointKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) easing_point_key_frame_new, NULL);
	types [(int) Type::EFFECT] = new Type (deployment, Type::EFFECT, Type::DEPENDENCY_OBJECT, false, false, "Effect", 0, 1, NULL, 0, NULL, false, (create_inst_func *) effect_new, NULL);
	types [(int) Type::ELASTICEASE] = new Type (deployment, Type::ELASTICEASE, Type::EASINGFUNCTIONBASE, false, false, "ElasticEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) elastic_ease_new, NULL);
	types [(int) Type::ELLIPSE] = new Type (deployment, Type::ELLIPSE, Type::SHAPE, false, false, "Ellipse", 0, 19, NULL, 0, NULL, true, (create_inst_func *) ellipse_new, NULL);
	types [(int) Type::ELLIPSEGEOMETRY] = new Type (deployment, Type::ELLIPSEGEOMETRY, Type::GEOMETRY, false, false, "EllipseGeometry", 0, 1, NULL, 0, NULL, true, (create_inst_func *) ellipse_geometry_new, NULL);
	types [(int) Type::ERROREVENTARGS] = new Type (deployment, Type::ERROREVENTARGS, Type::EVENTARGS, false, false, "ErrorEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::EVENTARGS] = new Type (deployment, Type::EVENTARGS, Type::DEPENDENCY_OBJECT, false, false, "EventArgs", 0, 1, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::EVENTLISTENERPROXY] = new Type (deployment, Type::EVENTLISTENERPROXY, Type::EVENTOBJECT, false, false, "EventListenerProxy", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::EVENTOBJECT] = new Type (deployment, Type::EVENTOBJECT, Type::OBJECT, false, false, "EventObject", 1, 1, EVENTOBJECT_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::EVENTTRIGGER] = new Type (deployment, Type::EVENTTRIGGER, Type::TRIGGERBASE, false, false, "EventTrigger", 0, 1, NULL, 0, NULL, true, (create_inst_func *) event_trigger_new, "Actions");
	types [(int) Type::EXPONENTIALEASE] = new Type (deployment, Type::EXPONENTIALEASE, Type::EASINGFUNCTIONBASE, false, false, "ExponentialEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) exponential_ease_new, NULL);
	types [(int) Type::EXTENSIONPART] = new Type (deployment, Type::EXTENSIONPART, Type::EXTERNALPART, false, false, "ExtensionPart", 0, 1, NULL, 0, NULL, true, (create_inst_func *) extension_part_new, NULL);
	types [(int) Type::EXTERNALDECODER] = new Type (deployment, Type::EXTERNALDECODER, Type::IMEDIADECODER, false, false, "ExternalDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::EXTERNALDEMUXER] = new Type (deployment, Type::EXTERNALDEMUXER, Type::IMEDIADEMUXER, false, false, "ExternalDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::EXTERNALPART] = new Type (deployment, Type::EXTERNALPART, Type::DEPENDENCY_OBJECT, false, false, "ExternalPart", 0, 1, NULL, 0, NULL, true, (create_inst_func *) external_part_new, NULL);
	types [(int) Type::EXTERNALPART_COLLECTION] = new Type (deployment, Type::EXTERNALPART_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "ExternalPartCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) external_part_collection_new, NULL);
	types [(int) Type::FFMPEGDECODER] = new Type (deployment, Type::FFMPEGDECODER, Type::IMEDIADECODER, false, false, "FfmpegDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::FFMPEGDEMUXER] = new Type (deployment, Type::FFMPEGDEMUXER, Type::IMEDIADEMUXER, false, false, "FfmpegDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::FILEDOWNLOADER] = new Type (deployment, Type::FILEDOWNLOADER, Type::INTERNALDOWNLOADER, false, false, "FileDownloader", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::FILESOURCE] = new Type (deployment, Type::FILESOURCE, Type::IMEDIASOURCE, false, false, "FileSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::FLOAT] = new Type (deployment, Type::FLOAT, Type::OBJECT, true, false, "float", 0, 0, NULL, 5, FLOAT_Interfaces, true, NULL, NULL);
	types [(int) Type::FONTFAMILY] = new Type (deployment, Type::FONTFAMILY, Type::OBJECT, true, false, "FontFamily", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::FONTSOURCE] = new Type (deployment, Type::FONTSOURCE, Type::OBJECT, true, false, "FontSource", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::FONTSTRETCH] = new Type (deployment, Type::FONTSTRETCH, Type::OBJECT, true, false, "FontStretch", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::FONTSTYLE] = new Type (deployment, Type::FONTSTYLE, Type::OBJECT, true, false, "FontStyle", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::FONTWEIGHT] = new Type (deployment, Type::FONTWEIGHT, Type::OBJECT, true, false, "FontWeight", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::FRAMEWORKELEMENT] = new Type (deployment, Type::FRAMEWORKELEMENT, Type::UIELEMENT, false, false, "FrameworkElement", 2, 19, FRAMEWORKELEMENT_Events, 0, NULL, false, (create_inst_func *) framework_element_new, NULL);
	types [(int) Type::FRAMEWORKTEMPLATE] = new Type (deployment, Type::FRAMEWORKTEMPLATE, Type::DEPENDENCY_OBJECT, false, false, "FrameworkTemplate", 0, 1, NULL, 0, NULL, false, (create_inst_func *) framework_template_new, NULL);
	types [(int) Type::GENERALTRANSFORM] = new Type (deployment, Type::GENERALTRANSFORM, Type::DEPENDENCY_OBJECT, false, false, "GeneralTransform", 0, 1, NULL, 0, NULL, false, (create_inst_func *) general_transform_new, NULL);
	types [(int) Type::GEOMETRY] = new Type (deployment, Type::GEOMETRY, Type::DEPENDENCY_OBJECT, false, false, "Geometry", 0, 1, NULL, 0, NULL, false, (create_inst_func *) geometry_new, NULL);
	types [(int) Type::GEOMETRY_COLLECTION] = new Type (deployment, Type::GEOMETRY_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "GeometryCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) geometry_collection_new, NULL);
	types [(int) Type::GEOMETRYGROUP] = new Type (deployment, Type::GEOMETRYGROUP, Type::GEOMETRY, false, false, "GeometryGroup", 0, 1, NULL, 0, NULL, true, (create_inst_func *) geometry_group_new, "Children");
	types [(int) Type::GLYPHS] = new Type (deployment, Type::GLYPHS, Type::FRAMEWORKELEMENT, false, false, "Glyphs", 0, 19, NULL, 0, NULL, true, (create_inst_func *) glyphs_new, NULL);
	types [(int) Type::GRADIENTBRUSH] = new Type (deployment, Type::GRADIENTBRUSH, Type::BRUSH, false, false, "GradientBrush", 0, 1, NULL, 0, NULL, false, (create_inst_func *) gradient_brush_new, "GradientStops");
	types [(int) Type::GRADIENTSTOP] = new Type (deployment, Type::GRADIENTSTOP, Type::DEPENDENCY_OBJECT, false, false, "GradientStop", 0, 1, NULL, 0, NULL, true, (create_inst_func *) gradient_stop_new, NULL);
	types [(int) Type::GRADIENTSTOP_COLLECTION] = new Type (deployment, Type::GRADIENTSTOP_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "GradientStopCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) gradient_stop_collection_new, NULL);
	types [(int) Type::GRID] = new Type (deployment, Type::GRID, Type::PANEL, false, false, "Grid", 0, 19, NULL, 0, NULL, true, (create_inst_func *) grid_new, NULL);
	types [(int) Type::GRIDLENGTH] = new Type (deployment, Type::GRIDLENGTH, Type::OBJECT, true, false, "GridLength", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::HITTEST_COLLECTION] = new Type (deployment, Type::HITTEST_COLLECTION, Type::UIELEMENT_COLLECTION, false, false, "HitTestCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) hit_test_collection_new, NULL);
	types [(int) Type::ICOMPARABLE] = new Type (deployment, Type::ICOMPARABLE, Type::OBJECT, false, true, "IComparable", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_BOOL] = new Type (deployment, Type::ICOMPARABLE_BOOL, Type::OBJECT, false, true, "IComparable<bool>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_CHAR] = new Type (deployment, Type::ICOMPARABLE_CHAR, Type::OBJECT, false, true, "IComparable<char>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_DOUBLE] = new Type (deployment, Type::ICOMPARABLE_DOUBLE, Type::OBJECT, false, true, "IComparable<double>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_FLOAT] = new Type (deployment, Type::ICOMPARABLE_FLOAT, Type::OBJECT, false, true, "IComparable<float>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_INT] = new Type (deployment, Type::ICOMPARABLE_INT, Type::OBJECT, false, true, "IComparable<int>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_LONG] = new Type (deployment, Type::ICOMPARABLE_LONG, Type::OBJECT, false, true, "IComparable<long>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_STRING] = new Type (deployment, Type::ICOMPARABLE_STRING, Type::OBJECT, false, true, "IComparable<string>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_TIMESPAN] = new Type (deployment, Type::ICOMPARABLE_TIMESPAN, Type::OBJECT, false, true, "IComparable<TimeSpan>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_UINT] = new Type (deployment, Type::ICOMPARABLE_UINT, Type::OBJECT, false, true, "IComparable<uint>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICOMPARABLE_ULONG] = new Type (deployment, Type::ICOMPARABLE_ULONG, Type::OBJECT, false, true, "IComparable<ulong>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ICON] = new Type (deployment, Type::ICON, Type::DEPENDENCY_OBJECT, false, false, "Icon", 0, 1, NULL, 0, NULL, true, (create_inst_func *) icon_new, NULL);
	types [(int) Type::ICON_COLLECTION] = new Type (deployment, Type::ICON_COLLECTION, Type::COLLECTION, false, false, "IconCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) icon_collection_new, NULL);
	types [(int) Type::ICONVERTIBLE] = new Type (deployment, Type::ICONVERTIBLE, Type::OBJECT, false, true, "IConvertible", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_BOOL] = new Type (deployment, Type::IEQUATABLE_BOOL, Type::OBJECT, false, true, "IEquatable<bool>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_CHAR] = new Type (deployment, Type::IEQUATABLE_CHAR, Type::OBJECT, false, true, "IEquatable<char>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_DOUBLE] = new Type (deployment, Type::IEQUATABLE_DOUBLE, Type::OBJECT, false, true, "IEquatable<double>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_FLOAT] = new Type (deployment, Type::IEQUATABLE_FLOAT, Type::OBJECT, false, true, "IEquatable<float>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_INT] = new Type (deployment, Type::IEQUATABLE_INT, Type::OBJECT, false, true, "IEquatable<int>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_LONG] = new Type (deployment, Type::IEQUATABLE_LONG, Type::OBJECT, false, true, "IEquatable<long>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_STRING] = new Type (deployment, Type::IEQUATABLE_STRING, Type::OBJECT, false, true, "IEquatable<string>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_TIMESPAN] = new Type (deployment, Type::IEQUATABLE_TIMESPAN, Type::OBJECT, false, true, "IEquatable<TimeSpan>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_UINT] = new Type (deployment, Type::IEQUATABLE_UINT, Type::OBJECT, false, true, "IEquatable<uint>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IEQUATABLE_ULONG] = new Type (deployment, Type::IEQUATABLE_ULONG, Type::OBJECT, false, true, "IEquatable<ulong>", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IFORMATTABLE] = new Type (deployment, Type::IFORMATTABLE, Type::OBJECT, false, true, "IFormattable", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IIMAGECONVERTER] = new Type (deployment, Type::IIMAGECONVERTER, Type::IMEDIAOBJECT, false, false, "IImageConverter", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMAGE] = new Type (deployment, Type::IMAGE, Type::MEDIABASE, false, false, "Image", 2, 22, IMAGE_Events, 0, NULL, true, (create_inst_func *) image_new, NULL);
	types [(int) Type::IMAGEBRUSH] = new Type (deployment, Type::IMAGEBRUSH, Type::TILEBRUSH, false, false, "ImageBrush", 3, 4, IMAGEBRUSH_Events, 0, NULL, true, (create_inst_func *) image_brush_new, NULL);
	types [(int) Type::IMAGEERROREVENTARGS] = new Type (deployment, Type::IMAGEERROREVENTARGS, Type::ERROREVENTARGS, false, false, "ImageErrorEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMAGESOURCE] = new Type (deployment, Type::IMAGESOURCE, Type::DEPENDENCY_OBJECT, false, false, "ImageSource", 0, 1, NULL, 0, NULL, true, (create_inst_func *) image_source_new, NULL);
	types [(int) Type::IMEDIADECODER] = new Type (deployment, Type::IMEDIADECODER, Type::IMEDIAOBJECT, false, false, "IMediaDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMEDIADEMUXER] = new Type (deployment, Type::IMEDIADEMUXER, Type::IMEDIAOBJECT, false, false, "IMediaDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMEDIAOBJECT] = new Type (deployment, Type::IMEDIAOBJECT, Type::EVENTOBJECT, false, false, "IMediaObject", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMEDIASOURCE] = new Type (deployment, Type::IMEDIASOURCE, Type::IMEDIAOBJECT, false, false, "IMediaSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::IMEDIASTREAM] = new Type (deployment, Type::IMEDIASTREAM, Type::IMEDIAOBJECT, false, false, "IMediaStream", 1, 2, IMEDIASTREAM_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::INKPRESENTER] = new Type (deployment, Type::INKPRESENTER, Type::CANVAS, false, false, "InkPresenter", 0, 19, NULL, 0, NULL, true, (create_inst_func *) ink_presenter_new, NULL);
	types [(int) Type::INLINE] = new Type (deployment, Type::INLINE, Type::DEPENDENCY_OBJECT, false, false, "Inline", 0, 1, NULL, 0, NULL, false, (create_inst_func *) inline_new, NULL);
	types [(int) Type::INLINE_COLLECTION] = new Type (deployment, Type::INLINE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "InlineCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) inline_collection_new, NULL);
	types [(int) Type::INPUTMETHOD] = new Type (deployment, Type::INPUTMETHOD, Type::DEPENDENCY_OBJECT, false, false, "InputMethod", 0, 1, NULL, 0, NULL, false, (create_inst_func *) input_method_new, NULL);
	types [(int) Type::INT32] = new Type (deployment, Type::INT32, Type::OBJECT, true, false, "gint32", 0, 0, NULL, 5, INT32_Interfaces, true, NULL, NULL);
	types [(int) Type::INT64] = new Type (deployment, Type::INT64, Type::OBJECT, true, false, "gint64", 0, 0, NULL, 5, INT64_Interfaces, true, NULL, NULL);
	types [(int) Type::INTERNALDOWNLOADER] = new Type (deployment, Type::INTERNALDOWNLOADER, Type::EVENTOBJECT, false, false, "InternalDownloader", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::ITEM_COLLECTION] = new Type (deployment, Type::ITEM_COLLECTION, Type::COLLECTION, false, false, "ItemCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) item_collection_new, NULL);
	types [(int) Type::KEYEVENTARGS] = new Type (deployment, Type::KEYEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "KeyEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) key_event_args_new, NULL);
	types [(int) Type::KEYFRAME] = new Type (deployment, Type::KEYFRAME, Type::DEPENDENCY_OBJECT, false, false, "KeyFrame", 0, 1, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::KEYFRAME_COLLECTION] = new Type (deployment, Type::KEYFRAME_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "KeyFrameCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) key_frame_collection_new, NULL);
	types [(int) Type::KEYSPLINE] = new Type (deployment, Type::KEYSPLINE, Type::DEPENDENCY_OBJECT, false, false, "KeySpline", 0, 1, NULL, 0, NULL, true, (create_inst_func *) key_spline_new, NULL);
	types [(int) Type::KEYTIME] = new Type (deployment, Type::KEYTIME, Type::OBJECT, true, false, "KeyTime", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::LAYOUTINFORMATION] = new Type (deployment, Type::LAYOUTINFORMATION, Type::OBJECT, false, false, "LayoutInformation", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::LINE] = new Type (deployment, Type::LINE, Type::SHAPE, false, false, "Line", 0, 19, NULL, 0, NULL, true, (create_inst_func *) line_new, NULL);
	types [(int) Type::LINEARCOLORKEYFRAME] = new Type (deployment, Type::LINEARCOLORKEYFRAME, Type::COLORKEYFRAME, false, false, "LinearColorKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) linear_color_key_frame_new, NULL);
	types [(int) Type::LINEARDOUBLEKEYFRAME] = new Type (deployment, Type::LINEARDOUBLEKEYFRAME, Type::DOUBLEKEYFRAME, false, false, "LinearDoubleKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) linear_double_key_frame_new, NULL);
	types [(int) Type::LINEARGRADIENTBRUSH] = new Type (deployment, Type::LINEARGRADIENTBRUSH, Type::GRADIENTBRUSH, false, false, "LinearGradientBrush", 0, 1, NULL, 0, NULL, true, (create_inst_func *) linear_gradient_brush_new, NULL);
	types [(int) Type::LINEARPOINTKEYFRAME] = new Type (deployment, Type::LINEARPOINTKEYFRAME, Type::POINTKEYFRAME, false, false, "LinearPointKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) linear_point_key_frame_new, NULL);
	types [(int) Type::LINEBREAK] = new Type (deployment, Type::LINEBREAK, Type::INLINE, false, false, "LineBreak", 0, 1, NULL, 0, NULL, true, (create_inst_func *) line_break_new, NULL);
	types [(int) Type::LINEGEOMETRY] = new Type (deployment, Type::LINEGEOMETRY, Type::GEOMETRY, false, false, "LineGeometry", 0, 1, NULL, 0, NULL, true, (create_inst_func *) line_geometry_new, NULL);
	types [(int) Type::LINESEGMENT] = new Type (deployment, Type::LINESEGMENT, Type::PATHSEGMENT, false, false, "LineSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) line_segment_new, NULL);
	types [(int) Type::LOGREADYROUTEDEVENTARGS] = new Type (deployment, Type::LOGREADYROUTEDEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "LogReadyRoutedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) log_ready_routed_event_args_new, NULL);
	types [(int) Type::MANAGED] = new Type (deployment, Type::MANAGED, Type::OBJECT, false, false, "Managed", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MANAGEDSTREAMSOURCE] = new Type (deployment, Type::MANAGEDSTREAMSOURCE, Type::IMEDIASOURCE, false, false, "ManagedStreamSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MANAGEDTYPEINFO] = new Type (deployment, Type::MANAGEDTYPEINFO, Type::OBJECT, true, false, "ManagedTypeInfo", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::MANUALTIMESOURCE] = new Type (deployment, Type::MANUALTIMESOURCE, Type::TIMESOURCE, false, false, "ManualTimeSource", 0, 2, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::MARKERSTREAM] = new Type (deployment, Type::MARKERSTREAM, Type::IMEDIASTREAM, false, false, "MarkerStream", 0, 2, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MATRIX] = new Type (deployment, Type::MATRIX, Type::DEPENDENCY_OBJECT, false, false, "Matrix", 0, 1, NULL, 0, NULL, true, (create_inst_func *) matrix_new, NULL);
	types [(int) Type::MATRIX3D] = new Type (deployment, Type::MATRIX3D, Type::DEPENDENCY_OBJECT, false, false, "Matrix3D", 0, 1, NULL, 0, NULL, true, (create_inst_func *) matrix3_d_new, NULL);
	types [(int) Type::MATRIX3DPROJECTION] = new Type (deployment, Type::MATRIX3DPROJECTION, Type::PROJECTION, false, false, "Matrix3DProjection", 0, 1, NULL, 0, NULL, true, (create_inst_func *) matrix3_dprojection_new, "ProjectionMatrix");
	types [(int) Type::MATRIXTRANSFORM] = new Type (deployment, Type::MATRIXTRANSFORM, Type::TRANSFORM, false, false, "MatrixTransform", 0, 1, NULL, 0, NULL, true, (create_inst_func *) matrix_transform_new, NULL);
	types [(int) Type::MEDIA] = new Type (deployment, Type::MEDIA, Type::IMEDIAOBJECT, false, false, "Media", 8, 9, MEDIA_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAATTRIBUTE] = new Type (deployment, Type::MEDIAATTRIBUTE, Type::DEPENDENCY_OBJECT, false, false, "MediaAttribute", 0, 1, NULL, 0, NULL, true, (create_inst_func *) media_attribute_new, NULL);
	types [(int) Type::MEDIAATTRIBUTE_COLLECTION] = new Type (deployment, Type::MEDIAATTRIBUTE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "MediaAttributeCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) media_attribute_collection_new, NULL);
	types [(int) Type::MEDIABASE] = new Type (deployment, Type::MEDIABASE, Type::FRAMEWORKELEMENT, false, false, "MediaBase", 1, 20, MEDIABASE_Events, 0, NULL, true, (create_inst_func *) media_base_new, NULL);
	types [(int) Type::MEDIACLOSURE] = new Type (deployment, Type::MEDIACLOSURE, Type::EVENTOBJECT, false, false, "MediaClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIADISPOSEOBJECTCLOSURE] = new Type (deployment, Type::MEDIADISPOSEOBJECTCLOSURE, Type::MEDIACLOSURE, false, false, "MediaDisposeObjectClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAELEMENT] = new Type (deployment, Type::MEDIAELEMENT, Type::FRAMEWORKELEMENT, false, false, "MediaElement", 9, 28, MEDIAELEMENT_Events, 0, NULL, true, (create_inst_func *) media_element_new, NULL);
	types [(int) Type::MEDIAFRAME] = new Type (deployment, Type::MEDIAFRAME, Type::EVENTOBJECT, false, false, "MediaFrame", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAGETFRAMECLOSURE] = new Type (deployment, Type::MEDIAGETFRAMECLOSURE, Type::MEDIACLOSURE, false, false, "MediaGetFrameClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAMARKER] = new Type (deployment, Type::MEDIAMARKER, Type::EVENTOBJECT, false, false, "MediaMarker", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAMARKERFOUNDCLOSURE] = new Type (deployment, Type::MEDIAMARKERFOUNDCLOSURE, Type::MEDIACLOSURE, false, false, "MediaMarkerFoundClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAPLAYER] = new Type (deployment, Type::MEDIAPLAYER, Type::EVENTOBJECT, false, false, "MediaPlayer", 2, 3, MEDIAPLAYER_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAREPORTFRAMECOMPLETEDCLOSURE] = new Type (deployment, Type::MEDIAREPORTFRAMECOMPLETEDCLOSURE, Type::MEDIACLOSURE, false, false, "MediaReportFrameCompletedClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIAREPORTSEEKCOMPLETEDCLOSURE] = new Type (deployment, Type::MEDIAREPORTSEEKCOMPLETEDCLOSURE, Type::MEDIACLOSURE, false, false, "MediaReportSeekCompletedClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEDIASEEKCLOSURE] = new Type (deployment, Type::MEDIASEEKCLOSURE, Type::MEDIACLOSURE, false, false, "MediaSeekClosure", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MEMORYSOURCE] = new Type (deployment, Type::MEMORYSOURCE, Type::IMEDIASOURCE, false, false, "MemorySource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MMSDEMUXER] = new Type (deployment, Type::MMSDEMUXER, Type::IMEDIADEMUXER, false, false, "MmsDemuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MMSDOWNLOADER] = new Type (deployment, Type::MMSDOWNLOADER, Type::INTERNALDOWNLOADER, false, false, "MmsDownloader", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MMSPLAYLISTENTRY] = new Type (deployment, Type::MMSPLAYLISTENTRY, Type::IMEDIASOURCE, false, false, "MmsPlaylistEntry", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MMSSECONDDOWNLOADER] = new Type (deployment, Type::MMSSECONDDOWNLOADER, Type::EVENTOBJECT, false, false, "MmsSecondDownloader", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MMSSOURCE] = new Type (deployment, Type::MMSSOURCE, Type::IMEDIASOURCE, false, false, "MmsSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MOUSEBUTTONEVENTARGS] = new Type (deployment, Type::MOUSEBUTTONEVENTARGS, Type::MOUSEEVENTARGS, false, false, "MouseButtonEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) mouse_button_event_args_new, NULL);
	types [(int) Type::MOUSEEVENTARGS] = new Type (deployment, Type::MOUSEEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "MouseEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) mouse_event_args_new, NULL);
	types [(int) Type::MOUSEWHEELEVENTARGS] = new Type (deployment, Type::MOUSEWHEELEVENTARGS, Type::MOUSEEVENTARGS, false, false, "MouseWheelEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) mouse_wheel_event_args_new, NULL);
	types [(int) Type::MP3DEMUXER] = new Type (deployment, Type::MP3DEMUXER, Type::IMEDIADEMUXER, false, false, "Mp3Demuxer", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::MULTISCALEIMAGE] = new Type (deployment, Type::MULTISCALEIMAGE, Type::MEDIABASE, false, false, "MultiScaleImage", 5, 25, MULTISCALEIMAGE_Events, 0, NULL, true, (create_inst_func *) multi_scale_image_new, NULL);
	types [(int) Type::MULTISCALESUBIMAGE] = new Type (deployment, Type::MULTISCALESUBIMAGE, Type::DEPENDENCY_OBJECT, false, false, "MultiScaleSubImage", 0, 1, NULL, 0, NULL, true, (create_inst_func *) multi_scale_sub_image_new, NULL);
	types [(int) Type::MULTISCALESUBIMAGE_COLLECTION] = new Type (deployment, Type::MULTISCALESUBIMAGE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "MultiScaleSubImageCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) multi_scale_sub_image_collection_new, NULL);
	types [(int) Type::MULTISCALETILESOURCE] = new Type (deployment, Type::MULTISCALETILESOURCE, Type::DEPENDENCY_OBJECT, false, false, "MultiScaleTileSource", 0, 1, NULL, 0, NULL, false, (create_inst_func *) multi_scale_tile_source_new, NULL);
	types [(int) Type::NAMESCOPE] = new Type (deployment, Type::NAMESCOPE, Type::DEPENDENCY_OBJECT, false, false, "NameScope", 0, 1, NULL, 0, NULL, true, (create_inst_func *) name_scope_new, NULL);
	types [(int) Type::NPOBJ] = new Type (deployment, Type::NPOBJ, Type::OBJECT, true, false, "NPObj", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::NULLDECODER] = new Type (deployment, Type::NULLDECODER, Type::IMEDIADECODER, false, false, "NullDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::OBJECT] = new Type (deployment, Type::OBJECT, Type::INVALID, false, false, "object", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::OBJECTANIMATIONUSINGKEYFRAMES] = new Type (deployment, Type::OBJECTANIMATIONUSINGKEYFRAMES, Type::ANIMATION, false, false, "ObjectAnimationUsingKeyFrames", 0, 2, NULL, 0, NULL, true, (create_inst_func *) object_animation_using_key_frames_new, "KeyFrames");
	types [(int) Type::OBJECTKEYFRAME] = new Type (deployment, Type::OBJECTKEYFRAME, Type::KEYFRAME, false, false, "ObjectKeyFrame", 0, 1, NULL, 0, NULL, false, (create_inst_func *) object_key_frame_new, NULL);
	types [(int) Type::OBJECTKEYFRAME_COLLECTION] = new Type (deployment, Type::OBJECTKEYFRAME_COLLECTION, Type::KEYFRAME_COLLECTION, false, false, "ObjectKeyFrameCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) object_key_frame_collection_new, NULL);
	types [(int) Type::OUTOFBROWSERSETTINGS] = new Type (deployment, Type::OUTOFBROWSERSETTINGS, Type::DEPENDENCY_OBJECT, false, false, "OutOfBrowserSettings", 0, 1, NULL, 0, NULL, true, (create_inst_func *) out_of_browser_settings_new, NULL);
	types [(int) Type::PANEL] = new Type (deployment, Type::PANEL, Type::FRAMEWORKELEMENT, false, false, "Panel", 0, 19, NULL, 0, NULL, false, (create_inst_func *) panel_new, "Children");
	types [(int) Type::PARALLELTIMELINE] = new Type (deployment, Type::PARALLELTIMELINE, Type::TIMELINEGROUP, false, false, "ParallelTimeline", 0, 2, NULL, 0, NULL, true, (create_inst_func *) parallel_timeline_new, NULL);
	types [(int) Type::PARSERERROREVENTARGS] = new Type (deployment, Type::PARSERERROREVENTARGS, Type::ERROREVENTARGS, false, false, "ParserErrorEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PASSTHROUGHDECODER] = new Type (deployment, Type::PASSTHROUGHDECODER, Type::IMEDIADECODER, false, false, "PassThroughDecoder", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PASSWORDBOX] = new Type (deployment, Type::PASSWORDBOX, Type::TEXTBOXBASE, false, false, "PasswordBox", 1, 23, PASSWORDBOX_Events, 0, NULL, true, (create_inst_func *) password_box_new, NULL);
	types [(int) Type::PATH] = new Type (deployment, Type::PATH, Type::SHAPE, false, false, "Path", 0, 19, NULL, 0, NULL, true, (create_inst_func *) path_new, NULL);
	types [(int) Type::PATHFIGURE] = new Type (deployment, Type::PATHFIGURE, Type::DEPENDENCY_OBJECT, false, false, "PathFigure", 0, 1, NULL, 0, NULL, true, (create_inst_func *) path_figure_new, "Segments");
	types [(int) Type::PATHFIGURE_COLLECTION] = new Type (deployment, Type::PATHFIGURE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "PathFigureCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) path_figure_collection_new, NULL);
	types [(int) Type::PATHGEOMETRY] = new Type (deployment, Type::PATHGEOMETRY, Type::GEOMETRY, false, false, "PathGeometry", 0, 1, NULL, 0, NULL, true, (create_inst_func *) path_geometry_new, "Figures");
	types [(int) Type::PATHSEGMENT] = new Type (deployment, Type::PATHSEGMENT, Type::DEPENDENCY_OBJECT, false, false, "PathSegment", 0, 1, NULL, 0, NULL, false, (create_inst_func *) path_segment_new, NULL);
	types [(int) Type::PATHSEGMENT_COLLECTION] = new Type (deployment, Type::PATHSEGMENT_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "PathSegmentCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) path_segment_collection_new, NULL);
	types [(int) Type::PIXELSHADER] = new Type (deployment, Type::PIXELSHADER, Type::DEPENDENCY_OBJECT, false, false, "PixelShader", 0, 1, NULL, 0, NULL, true, (create_inst_func *) pixel_shader_new, NULL);
	types [(int) Type::PLANEPROJECTION] = new Type (deployment, Type::PLANEPROJECTION, Type::PROJECTION, false, false, "PlaneProjection", 0, 1, NULL, 0, NULL, true, (create_inst_func *) plane_projection_new, NULL);
	types [(int) Type::PLAYLIST] = new Type (deployment, Type::PLAYLIST, Type::PLAYLISTENTRY, false, false, "Playlist", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PLAYLISTENTRY] = new Type (deployment, Type::PLAYLISTENTRY, Type::EVENTOBJECT, false, false, "PlaylistEntry", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PLAYLISTROOT] = new Type (deployment, Type::PLAYLISTROOT, Type::PLAYLIST, false, false, "PlaylistRoot", 14, 15, PLAYLISTROOT_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::POINT] = new Type (deployment, Type::POINT, Type::OBJECT, true, false, "Point", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::POINT_COLLECTION] = new Type (deployment, Type::POINT_COLLECTION, Type::COLLECTION, false, false, "PointCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) point_collection_new, NULL);
	types [(int) Type::POINTANIMATION] = new Type (deployment, Type::POINTANIMATION, Type::ANIMATION, false, false, "PointAnimation", 0, 2, NULL, 0, NULL, true, (create_inst_func *) point_animation_new, NULL);
	types [(int) Type::POINTANIMATIONUSINGKEYFRAMES] = new Type (deployment, Type::POINTANIMATIONUSINGKEYFRAMES, Type::POINTANIMATION, false, false, "PointAnimationUsingKeyFrames", 0, 2, NULL, 0, NULL, true, (create_inst_func *) point_animation_using_key_frames_new, "KeyFrames");
	types [(int) Type::POINTKEYFRAME] = new Type (deployment, Type::POINTKEYFRAME, Type::KEYFRAME, false, false, "PointKeyFrame", 0, 1, NULL, 0, NULL, false, (create_inst_func *) point_key_frame_new, NULL);
	types [(int) Type::POINTKEYFRAME_COLLECTION] = new Type (deployment, Type::POINTKEYFRAME_COLLECTION, Type::KEYFRAME_COLLECTION, false, false, "PointKeyFrameCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) point_key_frame_collection_new, NULL);
	types [(int) Type::POLYBEZIERSEGMENT] = new Type (deployment, Type::POLYBEZIERSEGMENT, Type::PATHSEGMENT, false, false, "PolyBezierSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) poly_bezier_segment_new, NULL);
	types [(int) Type::POLYGON] = new Type (deployment, Type::POLYGON, Type::SHAPE, false, false, "Polygon", 0, 19, NULL, 0, NULL, true, (create_inst_func *) polygon_new, NULL);
	types [(int) Type::POLYLINE] = new Type (deployment, Type::POLYLINE, Type::SHAPE, false, false, "Polyline", 0, 19, NULL, 0, NULL, true, (create_inst_func *) polyline_new, NULL);
	types [(int) Type::POLYLINESEGMENT] = new Type (deployment, Type::POLYLINESEGMENT, Type::PATHSEGMENT, false, false, "PolyLineSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) poly_line_segment_new, NULL);
	types [(int) Type::POLYQUADRATICBEZIERSEGMENT] = new Type (deployment, Type::POLYQUADRATICBEZIERSEGMENT, Type::PATHSEGMENT, false, false, "PolyQuadraticBezierSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) poly_quadratic_bezier_segment_new, NULL);
	types [(int) Type::POPUP] = new Type (deployment, Type::POPUP, Type::FRAMEWORKELEMENT, false, false, "Popup", 2, 21, POPUP_Events, 0, NULL, true, (create_inst_func *) popup_new, "Child");
	types [(int) Type::POWEREASE] = new Type (deployment, Type::POWEREASE, Type::EASINGFUNCTIONBASE, false, false, "PowerEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) power_ease_new, NULL);
	types [(int) Type::PROGRESSEVENTARGS] = new Type (deployment, Type::PROGRESSEVENTARGS, Type::EVENTARGS, false, false, "ProgressEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PROGRESSIVESOURCE] = new Type (deployment, Type::PROGRESSIVESOURCE, Type::FILESOURCE, false, false, "ProgressiveSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PROJECTION] = new Type (deployment, Type::PROJECTION, Type::DEPENDENCY_OBJECT, false, false, "Projection", 0, 1, NULL, 0, NULL, false, (create_inst_func *) projection_new, NULL);
	types [(int) Type::PROPERTYCHANGEDEVENTARGS] = new Type (deployment, Type::PROPERTYCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "PropertyChangedEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::PROPERTYPATH] = new Type (deployment, Type::PROPERTYPATH, Type::OBJECT, true, false, "PropertyPath", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::PULSESOURCE] = new Type (deployment, Type::PULSESOURCE, Type::AUDIOSOURCE, false, false, "PulseSource", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::QUADRATICBEZIERSEGMENT] = new Type (deployment, Type::QUADRATICBEZIERSEGMENT, Type::PATHSEGMENT, false, false, "QuadraticBezierSegment", 0, 1, NULL, 0, NULL, true, (create_inst_func *) quadratic_bezier_segment_new, NULL);
	types [(int) Type::QUADRATICEASE] = new Type (deployment, Type::QUADRATICEASE, Type::EASINGFUNCTIONBASE, false, false, "QuadraticEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) quadratic_ease_new, NULL);
	types [(int) Type::QUARTICEASE] = new Type (deployment, Type::QUARTICEASE, Type::EASINGFUNCTIONBASE, false, false, "QuarticEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) quartic_ease_new, NULL);
	types [(int) Type::QUINTICEASE] = new Type (deployment, Type::QUINTICEASE, Type::EASINGFUNCTIONBASE, false, false, "QuinticEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) quintic_ease_new, NULL);
	types [(int) Type::RADIALGRADIENTBRUSH] = new Type (deployment, Type::RADIALGRADIENTBRUSH, Type::GRADIENTBRUSH, false, false, "RadialGradientBrush", 0, 1, NULL, 0, NULL, true, (create_inst_func *) radial_gradient_brush_new, NULL);
	types [(int) Type::RECT] = new Type (deployment, Type::RECT, Type::OBJECT, true, false, "Rect", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::RECTANGLE] = new Type (deployment, Type::RECTANGLE, Type::SHAPE, false, false, "Rectangle", 0, 19, NULL, 0, NULL, true, (create_inst_func *) rectangle_new, NULL);
	types [(int) Type::RECTANGLEGEOMETRY] = new Type (deployment, Type::RECTANGLEGEOMETRY, Type::GEOMETRY, false, false, "RectangleGeometry", 0, 1, NULL, 0, NULL, true, (create_inst_func *) rectangle_geometry_new, NULL);
	types [(int) Type::RENDERINGEVENTARGS] = new Type (deployment, Type::RENDERINGEVENTARGS, Type::EVENTARGS, false, false, "RenderingEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::REPEATBEHAVIOR] = new Type (deployment, Type::REPEATBEHAVIOR, Type::OBJECT, true, false, "RepeatBehavior", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::RESOURCE_DICTIONARY] = new Type (deployment, Type::RESOURCE_DICTIONARY, Type::COLLECTION, false, false, "ResourceDictionary", 0, 3, NULL, 0, NULL, true, (create_inst_func *) resource_dictionary_new, NULL);
	types [(int) Type::RESOURCE_DICTIONARY_COLLECTION] = new Type (deployment, Type::RESOURCE_DICTIONARY_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "ResourceDictionaryCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) resource_dictionary_collection_new, NULL);
	types [(int) Type::ROTATETRANSFORM] = new Type (deployment, Type::ROTATETRANSFORM, Type::TRANSFORM, false, false, "RotateTransform", 0, 1, NULL, 0, NULL, true, (create_inst_func *) rotate_transform_new, NULL);
	types [(int) Type::ROUTEDEVENTARGS] = new Type (deployment, Type::ROUTEDEVENTARGS, Type::EVENTARGS, false, false, "RoutedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) routed_event_args_new, NULL);
	types [(int) Type::ROWDEFINITION] = new Type (deployment, Type::ROWDEFINITION, Type::DEPENDENCY_OBJECT, false, false, "RowDefinition", 0, 1, NULL, 0, NULL, true, (create_inst_func *) row_definition_new, NULL);
	types [(int) Type::ROWDEFINITION_COLLECTION] = new Type (deployment, Type::ROWDEFINITION_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "RowDefinitionCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) row_definition_collection_new, NULL);
	types [(int) Type::RUN] = new Type (deployment, Type::RUN, Type::INLINE, false, false, "Run", 0, 1, NULL, 0, NULL, true, (create_inst_func *) run_new, "Text");
	types [(int) Type::SCALETRANSFORM] = new Type (deployment, Type::SCALETRANSFORM, Type::TRANSFORM, false, false, "ScaleTransform", 0, 1, NULL, 0, NULL, true, (create_inst_func *) scale_transform_new, NULL);
	types [(int) Type::SETTER] = new Type (deployment, Type::SETTER, Type::SETTERBASE, false, false, "Setter", 0, 1, NULL, 0, NULL, true, (create_inst_func *) setter_new, NULL);
	types [(int) Type::SETTERBASE] = new Type (deployment, Type::SETTERBASE, Type::DEPENDENCY_OBJECT, false, false, "SetterBase", 0, 1, NULL, 0, NULL, false, (create_inst_func *) setter_base_new, NULL);
	types [(int) Type::SETTERBASE_COLLECTION] = new Type (deployment, Type::SETTERBASE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "SetterBaseCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) setter_base_collection_new, NULL);
	types [(int) Type::SHADEREFFECT] = new Type (deployment, Type::SHADEREFFECT, Type::EFFECT, false, false, "ShaderEffect", 0, 1, NULL, 0, NULL, true, (create_inst_func *) shader_effect_new, NULL);
	types [(int) Type::SHAPE] = new Type (deployment, Type::SHAPE, Type::FRAMEWORKELEMENT, false, false, "Shape", 0, 19, NULL, 0, NULL, false, (create_inst_func *) shape_new, NULL);
	types [(int) Type::SINEEASE] = new Type (deployment, Type::SINEEASE, Type::EASINGFUNCTIONBASE, false, false, "SineEase", 0, 1, NULL, 0, NULL, true, (create_inst_func *) sine_ease_new, NULL);
	types [(int) Type::SIZE] = new Type (deployment, Type::SIZE, Type::OBJECT, true, false, "Size", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::SIZECHANGEDEVENTARGS] = new Type (deployment, Type::SIZECHANGEDEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "SizeChangedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) size_changed_event_args_new, NULL);
	types [(int) Type::SKEWTRANSFORM] = new Type (deployment, Type::SKEWTRANSFORM, Type::TRANSFORM, false, false, "SkewTransform", 0, 1, NULL, 0, NULL, true, (create_inst_func *) skew_transform_new, NULL);
	types [(int) Type::SOLIDCOLORBRUSH] = new Type (deployment, Type::SOLIDCOLORBRUSH, Type::BRUSH, false, false, "SolidColorBrush", 0, 1, NULL, 0, NULL, true, (create_inst_func *) solid_color_brush_new, NULL);
	types [(int) Type::SPLINECOLORKEYFRAME] = new Type (deployment, Type::SPLINECOLORKEYFRAME, Type::COLORKEYFRAME, false, false, "SplineColorKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) spline_color_key_frame_new, NULL);
	types [(int) Type::SPLINEDOUBLEKEYFRAME] = new Type (deployment, Type::SPLINEDOUBLEKEYFRAME, Type::DOUBLEKEYFRAME, false, false, "SplineDoubleKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) spline_double_key_frame_new, NULL);
	types [(int) Type::SPLINEPOINTKEYFRAME] = new Type (deployment, Type::SPLINEPOINTKEYFRAME, Type::POINTKEYFRAME, false, false, "SplinePointKeyFrame", 0, 1, NULL, 0, NULL, true, (create_inst_func *) spline_point_key_frame_new, NULL);
	types [(int) Type::STORYBOARD] = new Type (deployment, Type::STORYBOARD, Type::PARALLELTIMELINE, false, false, "Storyboard", 0, 2, NULL, 0, NULL, true, (create_inst_func *) storyboard_new, "Children");
	types [(int) Type::STRING] = new Type (deployment, Type::STRING, Type::OBJECT, true, false, "char*", 0, 0, NULL, 5, STRING_Interfaces, true, NULL, NULL);
	types [(int) Type::STROKE] = new Type (deployment, Type::STROKE, Type::DEPENDENCY_OBJECT, false, false, "Stroke", 0, 1, NULL, 0, NULL, true, (create_inst_func *) stroke_new, NULL);
	types [(int) Type::STROKE_COLLECTION] = new Type (deployment, Type::STROKE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "StrokeCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) stroke_collection_new, NULL);
	types [(int) Type::STYLE] = new Type (deployment, Type::STYLE, Type::DEPENDENCY_OBJECT, false, false, "Style", 0, 1, NULL, 0, NULL, true, (create_inst_func *) style_new, "Setters");
	types [(int) Type::STYLUSINFO] = new Type (deployment, Type::STYLUSINFO, Type::DEPENDENCY_OBJECT, false, false, "StylusInfo", 0, 1, NULL, 0, NULL, false, (create_inst_func *) stylus_info_new, NULL);
	types [(int) Type::STYLUSPOINT] = new Type (deployment, Type::STYLUSPOINT, Type::DEPENDENCY_OBJECT, false, false, "StylusPoint", 0, 1, NULL, 0, NULL, true, (create_inst_func *) stylus_point_new, NULL);
	types [(int) Type::STYLUSPOINT_COLLECTION] = new Type (deployment, Type::STYLUSPOINT_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "StylusPointCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) stylus_point_collection_new, NULL);
	types [(int) Type::SURFACE] = new Type (deployment, Type::SURFACE, Type::EVENTOBJECT, false, false, "Surface", 7, 8, SURFACE_Events, 0, NULL, false, NULL, NULL);
	types [(int) Type::SYSTEMTIMESOURCE] = new Type (deployment, Type::SYSTEMTIMESOURCE, Type::TIMESOURCE, false, false, "SystemTimeSource", 0, 2, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::TEXTBLOCK] = new Type (deployment, Type::TEXTBLOCK, Type::FRAMEWORKELEMENT, false, false, "TextBlock", 0, 19, NULL, 0, NULL, true, (create_inst_func *) text_block_new, "Inlines");
	types [(int) Type::TEXTBOX] = new Type (deployment, Type::TEXTBOX, Type::TEXTBOXBASE, false, false, "TextBox", 2, 24, TEXTBOX_Events, 0, NULL, true, (create_inst_func *) text_box_new, NULL);
	types [(int) Type::TEXTBOXBASE] = new Type (deployment, Type::TEXTBOXBASE, Type::CONTROL, false, false, "TextBoxBase", 2, 22, TEXTBOXBASE_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::TEXTBOXMODELCHANGEDEVENTARGS] = new Type (deployment, Type::TEXTBOXMODELCHANGEDEVENTARGS, Type::EVENTARGS, false, false, "TextBoxModelChangedEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::TEXTBOXVIEW] = new Type (deployment, Type::TEXTBOXVIEW, Type::FRAMEWORKELEMENT, false, false, "TextBoxView", 0, 19, NULL, 0, NULL, true, (create_inst_func *) text_box_view_new, NULL);
	types [(int) Type::TEXTCHANGEDEVENTARGS] = new Type (deployment, Type::TEXTCHANGEDEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "TextChangedEventArgs", 0, 1, NULL, 0, NULL, true, (create_inst_func *) text_changed_event_args_new, NULL);
	types [(int) Type::TEXTOPTIONS] = new Type (deployment, Type::TEXTOPTIONS, Type::OBJECT, false, false, "TextOptions", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::THICKNESS] = new Type (deployment, Type::THICKNESS, Type::OBJECT, true, false, "Thickness", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::TILEBRUSH] = new Type (deployment, Type::TILEBRUSH, Type::BRUSH, false, false, "TileBrush", 0, 1, NULL, 0, NULL, false, (create_inst_func *) tile_brush_new, NULL);
	types [(int) Type::TIMELINE] = new Type (deployment, Type::TIMELINE, Type::DEPENDENCY_OBJECT, false, false, "Timeline", 1, 2, TIMELINE_Events, 0, NULL, false, (create_inst_func *) timeline_new, NULL);
	types [(int) Type::TIMELINE_COLLECTION] = new Type (deployment, Type::TIMELINE_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TimelineCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) timeline_collection_new, NULL);
	types [(int) Type::TIMELINEGROUP] = new Type (deployment, Type::TIMELINEGROUP, Type::TIMELINE, false, false, "TimelineGroup", 0, 2, NULL, 0, NULL, true, (create_inst_func *) timeline_group_new, NULL);
	types [(int) Type::TIMELINEMARKER] = new Type (deployment, Type::TIMELINEMARKER, Type::DEPENDENCY_OBJECT, false, false, "TimelineMarker", 0, 1, NULL, 0, NULL, true, (create_inst_func *) timeline_marker_new, NULL);
	types [(int) Type::TIMELINEMARKER_COLLECTION] = new Type (deployment, Type::TIMELINEMARKER_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TimelineMarkerCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) timeline_marker_collection_new, NULL);
	types [(int) Type::TIMELINEMARKERROUTEDEVENTARGS] = new Type (deployment, Type::TIMELINEMARKERROUTEDEVENTARGS, Type::ROUTEDEVENTARGS, false, false, "TimelineMarkerRoutedEventArgs", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::TIMEMANAGER] = new Type (deployment, Type::TIMEMANAGER, Type::EVENTOBJECT, false, false, "TimeManager", 2, 3, TIMEMANAGER_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::TIMESOURCE] = new Type (deployment, Type::TIMESOURCE, Type::EVENTOBJECT, false, false, "TimeSource", 1, 2, TIMESOURCE_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::TIMESPAN] = new Type (deployment, Type::TIMESPAN, Type::OBJECT, true, false, "TimeSpan", 0, 0, NULL, 3, TIMESPAN_Interfaces, true, NULL, NULL);
	types [(int) Type::TOUCHDEVICE] = new Type (deployment, Type::TOUCHDEVICE, Type::DEPENDENCY_OBJECT, false, false, "TouchDevice", 0, 1, NULL, 0, NULL, true, (create_inst_func *) touch_device_new, NULL);
	types [(int) Type::TOUCHPOINT] = new Type (deployment, Type::TOUCHPOINT, Type::DEPENDENCY_OBJECT, false, false, "TouchPoint", 0, 1, NULL, 0, NULL, true, (create_inst_func *) touch_point_new, NULL);
	types [(int) Type::TOUCHPOINT_COLLECTION] = new Type (deployment, Type::TOUCHPOINT_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TouchPointCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) touch_point_collection_new, NULL);
	types [(int) Type::TRANSFORM] = new Type (deployment, Type::TRANSFORM, Type::GENERALTRANSFORM, false, false, "Transform", 0, 1, NULL, 0, NULL, false, (create_inst_func *) transform_new, NULL);
	types [(int) Type::TRANSFORM_COLLECTION] = new Type (deployment, Type::TRANSFORM_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TransformCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) transform_collection_new, NULL);
	types [(int) Type::TRANSFORMGROUP] = new Type (deployment, Type::TRANSFORMGROUP, Type::TRANSFORM, false, false, "TransformGroup", 0, 1, NULL, 0, NULL, true, (create_inst_func *) transform_group_new, "Children");
	types [(int) Type::TRANSLATETRANSFORM] = new Type (deployment, Type::TRANSLATETRANSFORM, Type::TRANSFORM, false, false, "TranslateTransform", 0, 1, NULL, 0, NULL, true, (create_inst_func *) translate_transform_new, NULL);
	types [(int) Type::TRIGGER_COLLECTION] = new Type (deployment, Type::TRIGGER_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TriggerCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) trigger_collection_new, NULL);
	types [(int) Type::TRIGGERACTION] = new Type (deployment, Type::TRIGGERACTION, Type::DEPENDENCY_OBJECT, false, false, "TriggerAction", 0, 1, NULL, 0, NULL, false, (create_inst_func *) trigger_action_new, NULL);
	types [(int) Type::TRIGGERACTION_COLLECTION] = new Type (deployment, Type::TRIGGERACTION_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "TriggerActionCollection", 0, 3, NULL, 0, NULL, true, (create_inst_func *) trigger_action_collection_new, NULL);
	types [(int) Type::TRIGGERBASE] = new Type (deployment, Type::TRIGGERBASE, Type::DEPENDENCY_OBJECT, false, false, "TriggerBase", 0, 1, NULL, 0, NULL, false, (create_inst_func *) trigger_base_new, NULL);
	types [(int) Type::UIELEMENT] = new Type (deployment, Type::UIELEMENT, Type::DEPENDENCY_OBJECT, false, false, "UIElement", 16, 17, UIELEMENT_Events, 0, NULL, true, NULL, NULL);
	types [(int) Type::UIELEMENT_COLLECTION] = new Type (deployment, Type::UIELEMENT_COLLECTION, Type::DEPENDENCY_OBJECT_COLLECTION, false, false, "UIElementCollection", 0, 3, NULL, 0, NULL, false, (create_inst_func *) uielement_collection_new, NULL);
	types [(int) Type::UINT32] = new Type (deployment, Type::UINT32, Type::OBJECT, true, false, "guint32", 0, 0, NULL, 5, UINT32_Interfaces, true, NULL, NULL);
	types [(int) Type::UINT64] = new Type (deployment, Type::UINT64, Type::OBJECT, true, false, "guint64", 0, 0, NULL, 5, UINT64_Interfaces, true, NULL, NULL);
	types [(int) Type::UNMANAGEDMATRIX] = new Type (deployment, Type::UNMANAGEDMATRIX, Type::MATRIX, false, false, "UnmanagedMatrix", 0, 1, NULL, 0, NULL, true, (create_inst_func *) unmanaged_matrix_new, NULL);
	types [(int) Type::UNMANAGEDMATRIX3D] = new Type (deployment, Type::UNMANAGEDMATRIX3D, Type::MATRIX3D, false, false, "UnmanagedMatrix3D", 0, 1, NULL, 0, NULL, true, (create_inst_func *) unmanaged_matrix3_d_new, NULL);
	types [(int) Type::URI] = new Type (deployment, Type::URI, Type::OBJECT, true, false, "Uri", 0, 0, NULL, 0, NULL, true, NULL, NULL);
	types [(int) Type::USERCONTROL] = new Type (deployment, Type::USERCONTROL, Type::CONTROL, false, false, "UserControl", 0, 20, NULL, 0, NULL, true, (create_inst_func *) user_control_new, "Content");
	types [(int) Type::VIDEOBRUSH] = new Type (deployment, Type::VIDEOBRUSH, Type::TILEBRUSH, false, false, "VideoBrush", 0, 1, NULL, 0, NULL, true, (create_inst_func *) video_brush_new, NULL);
	types [(int) Type::VIDEOSTREAM] = new Type (deployment, Type::VIDEOSTREAM, Type::IMEDIASTREAM, false, false, "VideoStream", 0, 2, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::VISUALBRUSH] = new Type (deployment, Type::VISUALBRUSH, Type::TILEBRUSH, false, false, "VisualBrush", 0, 1, NULL, 0, NULL, true, (create_inst_func *) visual_brush_new, NULL);
	types [(int) Type::WINDOWSETTINGS] = new Type (deployment, Type::WINDOWSETTINGS, Type::DEPENDENCY_OBJECT, false, false, "WindowSettings", 0, 1, NULL, 0, NULL, true, (create_inst_func *) window_settings_new, NULL);
	types [(int) Type::WRITEABLEBITMAP] = new Type (deployment, Type::WRITEABLEBITMAP, Type::BITMAPSOURCE, false, false, "WriteableBitmap", 0, 2, NULL, 0, NULL, true, (create_inst_func *) writeable_bitmap_new, NULL);
	types [(int) Type::XMLLANGUAGE] = new Type (deployment, Type::XMLLANGUAGE, Type::OBJECT, false, false, "System.Windows.Markup.XmlLanguage", 0, 0, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::YUVCONVERTER] = new Type (deployment, Type::YUVCONVERTER, Type::IIMAGECONVERTER, false, false, "YUVConverter", 0, 1, NULL, 0, NULL, false, NULL, NULL);
	types [(int) Type::LASTTYPE] = new Type (deployment, Type::LASTTYPE, Type::INVALID, false, false, NULL, 0, 0, NULL, 0, NULL, false, NULL, NULL);
}

